Support » Plugin: Structured Content (JSON-LD) #wpsc » Does not work with Beaver Builder, other glitches

  • Resolved thompsonprint

    (@thompsonprint)


    1. I have one site using Beaver Builder site that has a WYSIWYG text block but this SC icon does not show up so I can not add this plugin to pages for FAQ’s.

    2. I have a site using Gutenburg and this used to work but it now shows a message saying it is not supported with my site. I tried making another block and it seems to work but might stop again without notice. Also, all my FAQ’s are gone and I have to re-write them.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author gorbo

    (@gorbo)

    Hi,

    the plugin works fine with the standard TinyMCE of WordPress. If this pagebuilder does not support the basic standard you can use the shortcodes directly after installing the plugin – this will work.
    Actually we do not have the capacities to fully support every different pagebuilder.

    Regarding the second point, I need a little more information.

    – which WP version?
    – which PHP version?
    – which plugin version?
    – do you only use Gutenberg on the site?
    – can you provide some sceenshots?

    Greetings and thank you for your help in advance!

    @gorbo

    The site is on WordPress 5.3.2. The current version of Beaver Builder standard is being used 2.3.0.3. Structured Content (JSON-LD) #wpsc version is 1.4.1. PHP version is 7.0.33-6. The Gutenberg block editor is not being used on the site.

    Plugin Author gorbo

    (@gorbo)

    Hi,
    thank you for the answer.
    This pagebuilder obviously does not support the standard Rich Text Editor (RTE) of WordPress but provides its own RTE.

    Maybe you write a message to the developers of the Beaver Builder, if they can release the function in their RTE.

    Until then you can install the plugin and use the shortcodes directly. Not that comfortable but it works.

    It is free software and maybe it will be considered – we don’t have the capacity to support all the different pagebuilders in WordPress.

    We see the future in Gutenberg 🙂

    Greetings

    I have an open issue with Beaver Builder I will include this as well in it. I am not sure which RTE is built into Beaver Builder. Beaver Builder lite does have over 400k active installs and is used a lot.

    Plugin Author gorbo

    (@gorbo)

    Hi @lukefiretoss ,

    we develop for the standard WordPress TinyMCE and Gutenberg. Sorry, but we cannot develop parallel for the different pagebuilders (Elementor, Beaver, WPBakery, Divi … ) and do the service/updates for them.

    If you use the shortcodes directly, they will work.

    Greetings

    Luke Cavanagh

    (@lukefiretoss)

    @gorbo

    Fair point of being able to support a number of page builder plugins.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.